> ## Documentation Index
> Fetch the complete documentation index at: https://developer.onecodex.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve A Tag

GET a single tag by its ID.


## OpenAPI

````yaml GET /api/v1/tags/{id}
openapi: 3.1.0
info:
  description: >-
    The One Codex API (v1) -- programmatic access to One Codex's suite of
    microbial genomics data storage, analysis, and query tools.
  title: One Codex API (v1)
  version: v1
servers:
  - url: https://app.onecodex.com
security:
  - apiKeyAuth: []
paths:
  /api/v1/tags/{id}:
    get:
      summary: GET tags
      operationId: get_tags_self
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/tags'
                type: array
          description: OK
components:
  schemas:
    tags:
      properties:
        $uri:
          example: /api/v1/tags/0d77065796f8d173
          pattern: ^/api/v1/tags/[a-f0-9]{16}$
          readOnly: true
          title: $Uri
          type: string
        name:
          description: The tag label or name. Name must be 30 characters or fewer.
          maxLength: 30
          title: Name
          type: string
      required:
        - $uri
        - name
      title: tags
      type: object
  securitySchemes:
    apiKeyAuth:
      in: header
      name: X-API-Key
      type: apiKey

````